# Form implementation generated from reading ui file 'src/eric7/PipInterface/PipLicensesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PipLicensesDialog(object):
    def setupUi(self, PipLicensesDialog):
        PipLicensesDialog.setObjectName("PipLicensesDialog")
        PipLicensesDialog.resize(600, 750)
        PipLicensesDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(PipLicensesDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.environmentLabel = QtWidgets.QLabel(parent=PipLicensesDialog)
        self.environmentLabel.setObjectName("environmentLabel")
        self.verticalLayout.addWidget(self.environmentLabel)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.label = QtWidgets.QLabel(parent=PipLicensesDialog)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.licenseFilterComboBox = QtWidgets.QComboBox(parent=PipLicensesDialog)
        self.licenseFilterComboBox.setObjectName("licenseFilterComboBox")
        self.horizontalLayout.addWidget(self.licenseFilterComboBox)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.licensesList = QtWidgets.QTreeWidget(parent=PipLicensesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(7)
        sizePolicy.setHeightForWidth(self.licensesList.sizePolicy().hasHeightForWidth())
        self.licensesList.setSizePolicy(sizePolicy)
        self.licensesList.setAlternatingRowColors(True)
        self.licensesList.setRootIsDecorated(False)
        self.licensesList.setItemsExpandable(False)
        self.licensesList.setWordWrap(True)
        self.licensesList.setObjectName("licensesList")
        self.verticalLayout.addWidget(self.licensesList)
        self.summaryList = QtWidgets.QTreeWidget(parent=PipLicensesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(3)
        sizePolicy.setHeightForWidth(self.summaryList.sizePolicy().hasHeightForWidth())
        self.summaryList.setSizePolicy(sizePolicy)
        self.summaryList.setAlternatingRowColors(True)
        self.summaryList.setRootIsDecorated(False)
        self.summaryList.setItemsExpandable(False)
        self.summaryList.setWordWrap(True)
        self.summaryList.setObjectName("summaryList")
        self.verticalLayout.addWidget(self.summaryList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=PipLicensesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(PipLicensesDialog)
        self.buttonBox.accepted.connect(PipLicensesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(PipLicensesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(PipLicensesDialog)
        PipLicensesDialog.setTabOrder(self.licenseFilterComboBox, self.licensesList)
        PipLicensesDialog.setTabOrder(self.licensesList, self.summaryList)

    def retranslateUi(self, PipLicensesDialog):
        _translate = QtCore.QCoreApplication.translate
        PipLicensesDialog.setWindowTitle(_translate("PipLicensesDialog", "Package Licenses"))
        self.label.setText(_translate("PipLicensesDialog", "License Filter:"))
        self.licenseFilterComboBox.setToolTip(_translate("PipLicensesDialog", "Select the license to filter the packages list"))
        self.licensesList.setSortingEnabled(True)
        self.licensesList.headerItem().setText(0, _translate("PipLicensesDialog", "Package"))
        self.licensesList.headerItem().setText(1, _translate("PipLicensesDialog", "Version"))
        self.licensesList.headerItem().setText(2, _translate("PipLicensesDialog", "License"))
        self.summaryList.setSortingEnabled(True)
        self.summaryList.headerItem().setText(0, _translate("PipLicensesDialog", "Count"))
        self.summaryList.headerItem().setText(1, _translate("PipLicensesDialog", "License"))
